Subject: Re: [PATCH v2 00/21] Refine memblock API

From: Russell King - ARM Linux admin <[email-masked]>
Date: Thu, 3 Oct 2019 09:49:14 +0100

On Thu, Oct 03, 2019 at 08:34:52AM +0300, Mike Rapoport wrote:
> (trimmed the CC)
> 
> On Wed, Oct 02, 2019 at 06:14:11AM -0500, Adam Ford wrote:
> > On Wed, Oct 2, 2019 at 2:36 AM Mike Rapoport <[email-masked]> wrote:
> > >
> > 
> > Before the patch:
> > 
> > # cat /sys/kernel/debug/memblock/memory
> >    0: 0x10000000..0x8fffffff
> > # cat /sys/kernel/debug/memblock/reserved
> >    0: 0x10004000..0x10007fff
> >   34: 0x2fffff88..0x3fffffff
> > 
> > 
> > After the patch:
> > # cat /sys/kernel/debug/memblock/memory
> >    0: 0x10000000..0x8fffffff
> > # cat /sys/kernel/debug/memblock/reserved
> >    0: 0x10004000..0x10007fff
> >   36: 0x80000000..0x8fffffff
> 
> I'm still not convinced that the memblock refactoring didn't uncovered an
> issue in etnaviv driver.
> 
> Why moving the CMA area from 0x80000000 to 0x30000000 makes it fail?

I think you have that the wrong way round.

> BTW, the code that complained about "command buffer outside valid memory
> window" has been removed by the commit 17e4660ae3d7 ("drm/etnaviv:
> implement per-process address spaces on MMUv2"). 
> 
> Could be that recent changes to MMU management of etnaviv resolve the
> issue?

The iMX6 does not have MMUv2 hardware, it has MMUv1.  With MMUv1
hardware requires command buffers within the first 2GiB of physical
RAM.

I've reported the problem previously but there was no resolution,
other than pointing the blame at CMA.

https://lists.freedesktop.org/archives/dri-devel/2019-June/thread.html#223516

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTC broadband for 0.8mile line in suburbia: sync at 12.1Mbps down 622kbps up
According to speedtest.net: 11.9Mbps down 500kbps up

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel